类型java.lang.charsequence不能解决。

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/YSC1123/article/details/45391689

      这两天在做drp项目时,遇到这样的一个错误:

  The type java.lang.Object cannot be resolved. It is indirectly referenced from required .class files”一看全是英文我就脑袋大,不过还好,我庆幸我生活在网络时代,赶紧上网查资料:

    这是一个"类型java.lang.charsequence不能解决"的错误(百度翻译)。这个主要是由于MyEclipse引用了不同版本的jdk工程印发的问题。我们都知道,每次新建一个工程时,MyEclipse都会让我们选择要使用的jdk版本,而我的电脑上有jdk1.6 和jdk1.8 的两个版本。所以当电脑上有多个版本的jdk时,开发环境会自动选择默认的Jre。所以我们通过以下的方案来解决这个错误:

    按照这个路径进入:Window->preferences->java->Installed JREs:

       

    然后点击Add->Directy->选择jre安装路径(安装时默认的路径是C:/jdk1.8)-->Finish:

       

     这样就完成了开发环境下jdk的设置,下面我们来设置项目中的版本:项目上右击选择Properties选项-->选择Libraries选项卡-->单击Add Library-->选择JreSystem Library-->next -->选择Alternate Jre 下的对应版本的jre -->Finish:

        

     

        到这里这个问题就基本解决了,项目中不再是红色错误警告了。其实,项目中的每一个小问题都能让我们从另一个角度看问题,从更多方面了解那些我们不曾注意的细节,希望这篇博文能帮到大家!


没有更多推荐了,返回首页